import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/gambleGameBuckets',
    method: 'get',
    params: {
      limit: query.limit,
      offset: (query.page - 1) * query.limit
    //   name: query.name,
    //   chipsSort: query.chipsSort,
    //   updatedSort: query.updatedSort
    }
  })
}

export function fetchMemberRecords(data, query = { round: 1 }) {
  return request({
    url: `/gambleGameBuckets/${data.id}/round/${query.round}/memberRecords`,
    method: 'get'
  })
}

export function fetchDealingRecords(data, query = { round: 1 }) {
  return request({
    url: `/gambleGameBuckets/${data.id}/round/${query.round}/dealingRecords`,
    method: 'get'
  })
}

export function fetchDetails(data, query = { round: 1 }) {
  return request({
    url: `/gambleGameBuckets/${data.id}/round/${query.round}/detail`,
    method: 'get'
  })
}

export function fetchRoundCount(data) {
  return request({
    url: `/gambleGameBuckets/${data.id}/roundCount`,
    method: 'get'
  })
}

export function fetchGameBid(data) {
  return request({
    url: `/gambleGameBuckets/${data.id}/bidChips`,
    method: 'get'
  })
}
