import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/gambleMembers',
    method: 'get',
    params: {
      limit: query.limit,
      offset: (query.page - 1) * query.limit,
      name: query.name,
      chipsSort: query.chipsSort,
      updatedSort: query.updatedSort
    }
  })
}

export function updateChips(data) {
  return request({
    url: `/gambleMembers/${data.id}/deposit`,
    method: 'put',
    data: {
      chips: data.depositChips
    }
  })
}

export function createGambleMember(data) {
  return request({
    url: '/gambleMembers',
    method: 'post',
    data: {
      name: data.name,
      chips: data.chips
    }
  })
}
